import { EventEmitter } from '../../../stencil-public-runtime';
export declare class ScQuantitySelect {
  el: HTMLScQuantitySelectElement;
  private input;
  clickEl?: HTMLElement;
  disabled: boolean;
  max: number;
  min: number;
  quantity: number;
  /** Inputs focus */
  hasFocus: boolean;
  scChange: EventEmitter<number>;
  /** Emitted when the control receives input. */
  scInput: EventEmitter<number>;
  /** Emitted when the control gains focus. */
  scFocus: EventEmitter<void>;
  /** Emitted when the control loses focus. */
  scBlur: EventEmitter<void>;
  componentWillLoad(): void;
  decrease(): void;
  increase(): void;
  handleBlur(): void;
  handleFocus(): void;
  handleChange(): void;
  handleInput(): void;
  render(): any;
}
